Bullet Collision Detection & Physics Library: btQuickprof.cpp File Reference

Bullet Collision Detection & Physics Library

Classes | Macros | Functions | Variables
btQuickprof.cpp File Reference
`#include "btQuickprof.h"`
`#include "btThreads.h"`
`#include <windows.h>`
`#include <time.h>`
`#include <stdio.h>`
Include dependency graph for btQuickprof.cpp:

Go to the source code of this file.

## Classes
struct | btClockData

## Macros
#define | BT_USE_WINDOWS_TIMERS
#define | WIN32_LEAN_AND_MEAN
#define | NOWINRES
#define | NOMCX
#define | NOIME
#define | GetTickCount64 GetTickCount
#define | mymin(a, b) (a > b ? a : b)

## Functions
void | Profile_Get_Ticks (unsigned long int *ticks)
float | Profile_Get_Tick_Rate (void)
unsigned int | btQuickprofGetCurrentThreadIndex2 ()
void | btEnterProfileZoneDefault (const char *name)
void | btLeaveProfileZoneDefault ()
void | btEnterProfileZone (const char *name)
void | btLeaveProfileZone ()
btEnterProfileZoneFunc * | btGetCurrentEnterProfileZoneFunc ()
btLeaveProfileZoneFunc * | btGetCurrentLeaveProfileZoneFunc ()
void | btSetCustomEnterProfileZoneFunc (btEnterProfileZoneFunc *enterFunc)
void | btSetCustomLeaveProfileZoneFunc (btLeaveProfileZoneFunc *leaveFunc)

## Variables
static btClock | gProfileClock
CProfileNode | gRoots [BT_QUICKPROF_MAX_THREAD_COUNT]
CProfileNode * | gCurrentNodes [BT_QUICKPROF_MAX_THREAD_COUNT]
static btEnterProfileZoneFunc * | bts_enterFunc = btEnterProfileZoneDefault
static btLeaveProfileZoneFunc * | bts_leaveFunc = btLeaveProfileZoneDefault

## Macro Definition Documentation

## ◆ BT_USE_WINDOWS_TIMERS

#define BT_USE_WINDOWS_TIMERS

Definition at line 38 of file btQuickprof.cpp.

## ◆ GetTickCount64

#define GetTickCount64 GetTickCount

Definition at line 50 of file btQuickprof.cpp.

## ◆ mymin

#define mymin | ( |  | a,
|  |  | b
| ) |  | (a > b ? a : b)

Definition at line 68 of file btQuickprof.cpp.

## ◆ NOIME

#define NOIME

Definition at line 42 of file btQuickprof.cpp.

## ◆ NOMCX

#define NOMCX

Definition at line 41 of file btQuickprof.cpp.

## ◆ NOWINRES

#define NOWINRES

Definition at line 40 of file btQuickprof.cpp.

## ◆ WIN32_LEAN_AND_MEAN

#define WIN32_LEAN_AND_MEAN

Definition at line 39 of file btQuickprof.cpp.

## Function Documentation

## ◆ btEnterProfileZone()

void btEnterProfileZone | ( | const char * | name | ) |

Definition at line 752 of file btQuickprof.cpp.

## ◆ btEnterProfileZoneDefault()

void btEnterProfileZoneDefault | ( | const char * | name | ) |

Definition at line 726 of file btQuickprof.cpp.

## ◆ btGetCurrentEnterProfileZoneFunc()

btEnterProfileZoneFunc* btGetCurrentEnterProfileZoneFunc | ( |  | ) |

Definition at line 761 of file btQuickprof.cpp.

## ◆ btGetCurrentLeaveProfileZoneFunc()

btLeaveProfileZoneFunc* btGetCurrentLeaveProfileZoneFunc | ( |  | ) |

Definition at line 765 of file btQuickprof.cpp.

## ◆ btLeaveProfileZone()

void btLeaveProfileZone | ( |  | ) |

Definition at line 756 of file btQuickprof.cpp.

## ◆ btLeaveProfileZoneDefault()

void btLeaveProfileZoneDefault | ( |  | ) |

Definition at line 730 of file btQuickprof.cpp.

## ◆ btQuickprofGetCurrentThreadIndex2()

unsigned int btQuickprofGetCurrentThreadIndex2 | ( |  | ) |

Definition at line 686 of file btQuickprof.cpp.

## ◆ btSetCustomEnterProfileZoneFunc()

void btSetCustomEnterProfileZoneFunc | ( | btEnterProfileZoneFunc * | enterFunc | ) |

Definition at line 771 of file btQuickprof.cpp.

## ◆ btSetCustomLeaveProfileZoneFunc()

void btSetCustomLeaveProfileZoneFunc | ( | btLeaveProfileZoneFunc * | leaveFunc | ) |

Definition at line 775 of file btQuickprof.cpp.

## ◆ Profile_Get_Tick_Rate()

float Profile_Get_Tick_Rate | ( | void |  | ) |
| inline

Definition at line 293 of file btQuickprof.cpp.

## ◆ Profile_Get_Ticks()

void Profile_Get_Ticks | ( | unsigned long int * | ticks | ) |
| inline

Definition at line 288 of file btQuickprof.cpp.

## Variable Documentation

## ◆ bts_enterFunc

btEnterProfileZoneFunc* bts_enterFunc = btEnterProfileZoneDefault
| static

Definition at line 749 of file btQuickprof.cpp.

## ◆ bts_leaveFunc

btLeaveProfileZoneFunc* bts_leaveFunc = btLeaveProfileZoneDefault
| static

Definition at line 750 of file btQuickprof.cpp.

## ◆ gCurrentNodes

CProfileNode* gCurrentNodes[BT_QUICKPROF_MAX_THREAD_COUNT]

Initial value:
=
{
&gRoots[ 0], &gRoots[ 1], &gRoots[ 2], &gRoots[ 3],
&gRoots[ 4], &gRoots[ 5], &gRoots[ 6], &gRoots[ 7],
&gRoots[ 8], &gRoots[ 9], &gRoots[10], &gRoots[11],
&gRoots[12], &gRoots[13], &gRoots[14], &gRoots[15],
&gRoots[16], &gRoots[17], &gRoots[18], &gRoots[19],
&gRoots[20], &gRoots[21], &gRoots[22], &gRoots[23],
&gRoots[24], &gRoots[25], &gRoots[26], &gRoots[27],
&gRoots[28], &gRoots[29], &gRoots[30], &gRoots[31],
&gRoots[32], &gRoots[33], &gRoots[34], &gRoots[35],
&gRoots[36], &gRoots[37], &gRoots[38], &gRoots[39],
&gRoots[40], &gRoots[41], &gRoots[42], &gRoots[43],
&gRoots[44], &gRoots[45], &gRoots[46], &gRoots[47],
&gRoots[48], &gRoots[49], &gRoots[50], &gRoots[51],
&gRoots[52], &gRoots[53], &gRoots[54], &gRoots[55],
&gRoots[56], &gRoots[57], &gRoots[58], &gRoots[59],
&gRoots[60], &gRoots[61], &gRoots[62], &gRoots[63],
}
gRoots
CProfileNode gRoots[BT_QUICKPROF_MAX_THREAD_COUNT]
Definition: btQuickprof.cpp:473

Definition at line 493 of file btQuickprof.cpp.

## ◆ gProfileClock

btClock gProfileClock
| static

Definition at line 285 of file btQuickprof.cpp.

## ◆ gRoots

CProfileNode gRoots[BT_QUICKPROF_MAX_THREAD_COUNT]

Initial value:
={
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),
CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL),CProfileNode("Root",NULL)
}
CProfileNode
A node in the Profile Hierarchy Tree.
Definition: btQuickprof.h:93

Definition at line 473 of file btQuickprof.cpp.